Skip to content

Processes an order with line item overrides

Request

This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden

Security
knox-authorizer
Path
tenantIdstringrequired

The id of the tenant being accessed

Bodyapplication/jsonrequired

The order that you would like to be saved.

orderobject(Order)
override_manifestobject(OrderOverrideManifest)
curl -i -X POST \
  'https://docs.api.rhythmsoftware.com/_mock/apis/commerce/commerce-v1/orders/{tenantId}/processWithOverride/sync' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "order": {
      "additional_email_confirmation_recipients": [
        "string"
      ],
      "additional_payments": [
        {
          "line_item_ids": [
            "string"
          ],
          "payment_info": {
            "electronic_payment_info": {
              "card_expiration": "2019-08-24",
              "card_type": "american express",
              "merchant_account_id": "string",
              "merchant_account_tokens": [
                {}
              ],
              "payment_account": "string",
              "payment_origin": "ad hoc",
              "token": "string"
            },
            "non_electronic_payment_info": {
              "bank_account_id": "string",
              "reference_number": "string"
            },
            "type": "ach"
          }
        }
      ],
      "amount_paid": 0.1,
      "amount_pending_capture": 0.1,
      "amount_refunded": 0.1,
      "balance_due": 0.1,
      "base_currency_code": "string",
      "base_currency_symbol": "string",
      "batch_id": "string",
      "bill_parent_organization": true,
      "bill_to_contact_id": "string",
      "bill_to_organization_id": "string",
      "bill_to_type": "contact",
      "billing_address": {
        "city": "string",
        "country": "string",
        "country_name": "string",
        "county": "string",
        "latitude": 0.1,
        "line1": "string",
        "line2": "string",
        "line3": "string",
        "longitude": 0.1,
        "postal_code": "string",
        "state": "string",
        "time_zone_id": "string"
      },
      "billing_run_action_id": "string",
      "billing_run_id": "string",
      "billing_run_service": "string",
      "business_unit_id": "string",
      "copy_shipping_info_from_billing_info": true,
      "coupons": [
        {
          "coupon_code_id": "string",
          "coupon_id": "string",
          "coupon_type": "string",
          "discount": 0.1,
          "order_line_item_ids": [
            "string"
          ],
          "retroactive_application_date": "2019-08-24T14:15:22Z"
        }
      ],
      "credit_usages": [
        {
          "amount_to_use": 0.1,
          "credit_id": "string"
        }
      ],
      "currency_code": "AED",
      "currency_symbol": "string",
      "custom_field_values": [
        {
          "boolean_value": true,
          "custom_field_id": "string",
          "file_url_value": "string",
          "list_value": [
            "string"
          ],
          "numeric_value": 0.1,
          "string_value": "string",
          "table_value": [
            {}
          ]
        }
      ],
      "custom_metadata": {},
      "date": "string",
      "default_merchant_account_id": "string",
      "discounts": 0.1,
      "do_not_apply_open_credits": true,
      "duplicate_prevention_key": "string",
      "event_id": "string",
      "exchange_rate": 0.1,
      "expiration_date": "2019-08-24T14:15:22Z",
      "failure_notice_id": "string",
      "id": "string",
      "installment_schedule_id": "string",
      "invoice_terms_id": "string",
      "line_items": [
        {
          "amount_paid": 0.1,
          "amount_pending_capture": 0.1,
          "amount_refunded": 0.1,
          "amount_to_pay_upon_creation": 0.1,
          "balance_due": 0.1,
          "bundled_product_1": {
            "amount": 0.1,
            "product_id": "string",
            "product_type": "string"
          },
          "bundled_product_2": {
            "amount": 0.1,
            "product_id": "string",
            "product_type": "string"
          },
          "description": "string",
          "discounts": 0.1,
          "has_inline_bundled_products": true,
          "inline_bundled_products": [
            {
              "amount": 0.1,
              "product_id": "string",
              "product_type": "string"
            }
          ],
          "installment_plan_id": "string",
          "installment_schedule_type": "based on installment plan",
          "modifier_options": [
            {
              "option_id": "string",
              "option_name": "string",
              "value": "string"
            }
          ],
          "optional": true,
          "order_line_item_id": "string",
          "override_ship_to_contact_id": "string",
          "override_ship_to_organization_id": "string",
          "override_ship_to_type": "contact",
          "parent_line_item_id": "string",
          "parent_order_line_item_id": "string",
          "payload": {},
          "payload_id": "string",
          "perpetual_installment_schedule_options": {
            "end_date": "string",
            "number_of_units": 1,
            "unit_of_time": "months"
          },
          "product_id": "string",
          "product_type": "string",
          "quantity": 0,
          "quantity_available_for_cancellation": 0,
          "quantity_available_for_return": 0,
          "quantity_cancelled": 0,
          "quantity_pending_return": 0,
          "quantity_returned": 0,
          "quantity_shipped": 0,
          "quantity_to_be_shipped": 0,
          "related_record_id": "string",
          "related_record_type": "string",
          "related_transactions": [
            {
              "amount": 0.1,
              "date": "2019-08-24T14:15:22Z",
              "transaction_id": "string",
              "transaction_line_item_id": "string",
              "transaction_number": 0.1,
              "type": "cancellation"
            }
          ],
          "shippable": true,
          "sku": "string",
          "special_instructions": "string",
          "status": "awaiting payment",
          "taxes": 0.1,
          "total": 0.1,
          "total_in_base_currency": 0.1,
          "type": "bundled product",
          "unit_price": 0.1,
          "variant_options": [
            {
              "option_id": "string",
              "option_name": "string",
              "value": "string"
            }
          ],
          "weight": 0.1
        }
      ],
      "memo": "string",
      "notes": "string",
      "number": 0,
      "override_order_date": true,
      "pay_for_credit_card_processing_fees": true,
      "pay_using_multiple_methods": true,
      "payload": {},
      "payment_info": {
        "electronic_payment_info": {
          "card_expiration": "2019-08-24",
          "card_type": "american express",
          "merchant_account_id": "string",
          "merchant_account_tokens": [
            {
              "merchant_account_id": "string",
              "token": "string"
            }
          ],
          "payment_account": "string",
          "payment_origin": "ad hoc",
          "token": "string"
        },
        "non_electronic_payment_info": {
          "bank_account_id": "string",
          "reference_number": "string"
        },
        "type": "ach"
      },
      "payment_method": "ach",
      "preview_id": "string",
      "process_id": "string",
      "purchase_order_number": "string",
      "send_email_confirmation_to_customer": true,
      "ship_to_contact_id": "string",
      "ship_to_name": "string",
      "ship_to_organization_id": "string",
      "ship_to_type": "contact",
      "shippable": true,
      "shipping_address": {
        "city": "string",
        "country": "string",
        "country_name": "string",
        "county": "string",
        "latitude": 0.1,
        "line1": "string",
        "line2": "string",
        "line3": "string",
        "longitude": 0.1,
        "postal_code": "string",
        "state": "string",
        "time_zone_id": "string"
      },
      "shipping_charges": 0.1,
      "shipping_method_id": "string",
      "shipping_method_name": "string",
      "shipping_method_type": "flat rate",
      "shipping_zone_id": "string",
      "special_instructions": "string",
      "status": "awaiting payment",
      "store_id": "string",
      "submission_date": "2019-08-24T14:15:22Z",
      "subtotal": 0.1,
      "success_notice_id": "string",
      "sys_bulk_load_at": "string",
      "sys_bulk_load_id": "string",
      "sys_bulk_load_pk": "string",
      "sys_bulk_load_record_no": 0.1,
      "sys_bulk_load_source_file": "string",
      "sys_calculated_field_error": "string",
      "sys_calculated_field_errors": [
        {
          "error": "string",
          "field": "string"
        }
      ],
      "sys_configuration_snapshot_id": "string",
      "sys_created_at": "2019-08-24T14:15:22Z",
      "sys_created_by_id": "string",
      "sys_deleted_by_id": "string",
      "sys_directive": "string",
      "sys_external_id": "string",
      "sys_has_files_in_s3": true,
      "sys_last_bulk_data_operation_id": "string",
      "sys_last_bulk_data_operation_sys_version": "string",
      "sys_last_modified_at": "2019-08-24T14:15:22Z",
      "sys_last_modified_by_id": "string",
      "sys_last_security_context": {},
      "sys_locked": true,
      "sys_shippable_status": "string",
      "sys_snapshot_base_version": 0.1,
      "sys_version": 0.1,
      "taxes": 0.1,
      "total": 0.1,
      "total_in_base_currency": 0.1,
      "total_weight": 0.1,
      "type": "advertising insertion order",
      "use_pro_forma_invoices": true
    },
    "override_manifest": {
      "line_items": [
        {
          "order_line_item_id": "string",
          "override_quantity": 0.1,
          "override_total": 0.1,
          "override_unit_price": 0.1
        }
      ]
    }
  }'

Responses

The order preview was successful

Headers
Access-Control-Allow-Headersstring
Access-Control-Allow-Methodsstring
Access-Control-Allow-Originstring
Bodyapplication/json
executionArnstring(Executionarn)required

The arn of the execution

notification_channelstring(Notification Channel)

The id of the channel where progress updates will be posted

notification_publishKeystring(Notification Publishkey)

The publish key for the channel where progress updates will be posted

notification_subscribeKeystring(Notification Subscribekey)

The subscribe key for the channel where progress updates will be posted

start_datestring, (date-time)(Start Date)

The start date of the execution

Response
{ "executionArn": "string", "notification_channel": "string", "notification_publishKey": "string", "notification_subscribeKey": "string", "start_date": "2019-08-24T14:15:22Z" }